[Service]
Endpoint=TGWTranslator
FallbackEndpoint=BaiduTranslate

[General]
Language=zh-CN
FromLanguage=en

[Files]
Directory=Translation\{Lang}\Text
OutputFile=Translation\{Lang}\Text\_AutoGeneratedTranslations.txt
SubstitutionFile=Translation\{Lang}\Text\_Substitutions.txt
PreprocessorsFile=Translation\{Lang}\Text\_Preprocessors.txt
PostprocessorsFile=Translation\{Lang}\Text\_Postprocessors.txt

[TextFrameworks]
EnableIMGUI=true
EnableUGUI=True
EnableNGUI=True
EnableTextMeshPro=True
EnableTextMesh=true
EnableFairyGUI=True

[Behaviour]
MaxCharactersPerTranslation=2500
IgnoreWhitespaceInDialogue=True
MinDialogueChars=20
ForceSplitTextAfterCharacters=0
CopyToClipboard=False
MaxClipboardCopyCharacters=2500
ClipboardDebounceTime=1.25
EnableUIResizing=True
EnableBatching=True
UseStaticTranslations=True
OverrideFont=Microsoft_Yahei
OverrideFontSize=
OverrideFontTextMeshPro=msl21
FallbackFontTextMeshPro=
ResizeUILineSpacingScale=
ForceUIResizing=true
IgnoreTextStartingWith=\u180e;
TextGetterCompatibilityMode=False
GameLogTextPaths=
RomajiPostProcessing=ReplaceMacronWithCircumflex;RemoveApostrophes;ReplaceHtmlEntities
TranslationPostProcessing=ReplaceMacronWithCircumflex;ReplaceHtmlEntities
RegexPostProcessing=
CacheRegexPatternResults=False
CacheRegexLookups=False
CacheWhitespaceDifferences=False
GenerateStaticSubstitutionTranslations=False
GeneratePartialTranslations=False
EnableTranslationScoping=True
EnableSilentMode=False
BlacklistedIMGUIPlugins=
EnableTextPathLogging=False
OutputUntranslatableText=False
IgnoreVirtualTextSetterCallingRules=False
MaxTextParserRecursion=1
HtmlEntityPreprocessing=True
HandleRichText=True
EnableTranslationHelper=False
ForceMonoModHooks=False
InitializeHarmonyDetourBridge=False
RedirectedResourceDetectionStrategy=AppendMongolianVowelSeparatorAndRemoveAll
OutputTooLongText=False
TemplateAllNumberAway=True
ReloadTranslationsOnFileChange=False
DisableTextMeshProScrollInEffects=False
CacheParsedTranslations=False
PersistRichTextMode=Final

[Texture]
TextureDirectory=Translation\{Lang}\Texture
EnableTextureTranslation=false
EnableTextureDumping=false
EnableTextureToggling=False
EnableTextureScanOnSceneLoad=True
EnableSpriteRendererHooking=True
LoadUnmodifiedTextures=False
DetectDuplicateTextureNames=False
DuplicateTextureNames=
EnableLegacyTextureLoading=False
TextureHashGenerationStrategy=FromImageData
CacheTexturesInMemory=True
EnableSpriteHooking=false

[ResourceRedirector]
PreferredStoragePath=Translation\{Lang}\RedirectedResources
LogAllLoadedResources=true
EnableDumping=False
CacheMetadataForAllFiles=True
EnableTextAssetRedirector=False

[Http]
UserAgent=
DisableCertificateValidation=True

[TranslationAggregator]
Width=346
Height=87
EnabledTranslators=BaiduTranslate;TGWTranslate;DeepLTranslate;TGWTranslator

[Debug]
EnableConsole=False

[Migrations]
Enable=True
Tag=5.2.0

[Baidu]
BaiduAppId=20200210000382370
BaiduAppSecret=Zm_jc86EfymQvLLocmeH
DelaySeconds=0.5

[BingLegitimate]
OcpApimSubscriptionKey=

[Custom]
Url=http://127.0.0.1:5000/translate

[DeepL]
ExecutableLocation=
MinDelaySeconds=2
MaxDelaySeconds=6

[DeepLLegitimate]
ExecutableLocation=
ApiKey=
Free=False

[ezTrans]
InstallationPath=

[Google]
ServiceUrl=

[GoogleV2]
ServiceUrl=
RPCID=MkEWBc
VERSION=boq_translate-webserver_20210323.10_p0
UseSimplest=False

[GoogleLegitimate]
GoogleAPIKey=

[LecPowerTranslator15]
InstallationPath=

[LingoCloud]
LingoCloudToken=

[Watson]
Url=
Key=

[Yandex]
YandexAPIKey=

[TGW]
Endpoint=http://127.0.0.1:5000/v1/chat/completions
ApiType=TGW
MaxConcurrency=1
UseDict=
DictMode=Full
Dict=

[DeepSeek]
Endpoint=https://api.deepseek.com/chat/completions
ApiKey=sk-71cf7eeacff84db7894ec9b4cdb5dc10
MaxConcurrency=1
